1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

2.28 MACOS support

Discussion in 'General Discussion' started by Jeremy, Dec 16, 2022.

  1. Jeremy

    Jeremy New Member

    Hi Seungjin,
    Does the new 2.28 release now support the latest macOS, or are there still issues with releases after Big Sur?

    Thanks,
    Jeremy
     
  2. Seungjin Lee

    Seungjin Lee Member

  3. Jeremy

    Jeremy New Member

    Ah. Doesn't seem Apple has any intent on fixing the methods it broke in the new BT stack. From other products I've got it seems that they've recoded bits of their drivers to use some newer methods (I'd be lying if I said I actually knew anything about what Apple has actually changed in the stack...other than dropping support for a number of older chipsets). Was hoping you'd done the same with this release. On a newer Mac, so don't have the option of using Big Sur.
     
  4. jeglin

    jeglin New Member

    Forget about Bluetooth. The app no longer even launches on Monterey or Ventura. The error is a missing libavfilter.dylib. The developer should stop claiming, as they did with the 2.28 release, that the update should be done for all platforms. macOS is simply no longer supported, for paid or unpaid customers, and this should be reflected in the documentation. As it is, users will have their money stolen unless they consult these forums first.
     
  5. Jeremy

    Jeremy New Member

    Yeah. It's unfortunate. This was a much better product than the network-based kvms out there. I could use it both for work and controlling games on a remote machine. Network-based gets a big laggy for game controls and keyboard events aren't always correct (i.e. left and right shift are not treated uniquely, same with left and right option, caps lock doesn't work with ms remote desktop unless in unicode mode and then shift doesn't work). So was really hoping we'd see some changes in Across to get it working on Mac again, but when this release didn't address any of that, does seem we've probably reached the end of this road.
     
  6. Seungjin Lee

    Seungjin Lee Member

    Hi, guys!

    @jeglin, There could be some problems in bundling the app package. I apologize for the issue. We will release v2.29 fixing the issue ASAP. Thanks in advance for your patience.

    @Jeremy, We have nothing to do from our side because the macOS Bluetooth stack except the core Bluetooth functions macOS is using doesn't work at all. That is, apple prevents other 3rd party developers from using Bluetooth and no official/unofficial comment on the issue yet, as you can see in the apple developer forum threads. You have to consult to apple instead of us on the issue. Thanks.
     
    Last edited: Jan 26, 2023 at 12:39 PM
  7. Jeremy

    Jeremy New Member

    Understandable from your end, but after two versions of MacOS, I think it's safe to say that Apple also has no intention of changing anything on their end. So seems a bit of a stalemate. In that regard, do agree with Jeglin, that you should update the product page and either state compatibility is through MacOS 11 only (not supported on 12 or 13) or just remove Mac as a supported platform altogether. Or another suggestion: you could make it such that you could at least pair using the network (rather than bluetooth) stack on the initial setup and then change the support statement to network only on 12 and above.
     
  8. Igor

    Igor New Member

    Jumping in here after many months, hoping to see an announcement that it works with newer MacOS versions... only to find the same lame excuse from the developer. "It's Apple's fault"... Stop, just stop. I'm sorry, but it's not Apple's fault that we still see "compatible with MacOS 10.17 or later" everywhere on this website. The only way to find out it won't work with MacOS 11+ is digging into this forum. There's a word for that: deception.

    At this point, saying this is compatible with MacOS is the same as saying an app will work with Windows XP+... but only up to Windows 7. If you don't want this to be seen as an easy money grab, please update the website and make it clear that it won't work with MacOS devices updated in the last 3 years.

    (/end of harsh response)
     

Share This Page